#
# RevisionManager
#
# Copyright (c) 2001-2003 by Philipp "philiKON" von Weitershausen
#
# This software is distributed under the terms of the Mozilla Public License
# (MPL)
#

"""
$Id: Permissions.py,v 1.3 2003/05/02 13:58:02 philipp Exp $
"""

#
# This module purely exists to avoid creating new permissions due to typos
#

# Zope default permissions
AccessContentsInformation = "Access contents information"
View                      = "View"
ViewManagementScreens     = "View management screens"

#
# Revision Manager permissions
#
# If you want to work with it at all, you need to have at least
# RMManage.
#
# AddRemove, Update and Commit concern not only the equivalent CVS
# actions.  AddRemove actually concerns all kinds of object adding or
# removal, Update concerns all changes made to local files and Commit
# concerns all changes made to the repository (including tagging etc.)
#
RMAdd       = "Add Revision Managers"
RMManage    = "Revision Manager: View management screens"
RMConfig    = "Revision Manager: Change configuration"
RMAddRemove = "Revision Manager: Add/Remove objects"
RMUpdate    = "Revision Manager: Update"
RMCommit    = "Revision Manager: Commit"
